Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uky.kcr.recordlinkage.configuration
Class LinkageConfigurationConstants

    java.lang.Object
      edu.uky.kcr.recordlinkage.configuration.LinkageConfigurationConstants

    public class LinkageConfigurationConstants

extends java.lang.Object

Field Summary
`static java.lang.String` | `BLOCKING_CONFIGURATION`
`static java.lang.String` | `BLOCKING_METHOD_EXACT` Blocking method that matches two field values exactly using `String.equals(Object)`
`static java.lang.String` | `BLOCKING_METHOD_SOUNDEX` Blocking method that matched the computed Soundex value of a field.
`static java.lang.String` | `DEFAULT_MISSING_VALUE_STRING` Default value for a missing field value, used by the LinkageEngine when processing MatchingConfiguration items.
`static java.lang.String` | `DELEGATE`
`static java.lang.String` | `LINKAGE_ENGINE_NAME`
`static java.lang.String` | `MATCHING_CONFIGURATION`
`static java.lang.String` | `MISSING_VALUE_STRING`
`static java.lang.String` | `NEGATIVE_MATCH_CUTOFF_SCORE`
`static java.lang.String` | `POSITIVE_MATCH_CUTOFF_SCORE`
`static java.lang.String` | `PRIMARY_FIELD_NAME`
`static java.lang.String` | `SECONDARY_FIELD_NAME`
`static java.lang.String` | `USE_SECONDARY_FOR_UNMATCHED_RECORDS`

Constructor Summary
`LinkageConfigurationConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLOCKING_METHOD_EXACT

    public static final java.lang.String BLOCKING_METHOD_EXACT

  Blocking method that matches two field values exactly using `String.equals(Object)`

  See Also:
    Constant Field Values

### BLOCKING_METHOD_SOUNDEX

    public static final java.lang.String BLOCKING_METHOD_SOUNDEX

  Blocking method that matched the computed Soundex value of a field.

  See Also:
    Constant Field Values

### DEFAULT_MISSING_VALUE_STRING

    public static final java.lang.String DEFAULT_MISSING_VALUE_STRING

  Default value for a missing field value, used by the LinkageEngine when processing MatchingConfiguration items.

  See Also:
    Constant Field Values

### BLOCKING_CONFIGURATION

    public static final java.lang.String BLOCKING_CONFIGURATION

See Also:
  Constant Field Values

### DELEGATE

    public static final java.lang.String DELEGATE

See Also:
  Constant Field Values

### LINKAGE_ENGINE_NAME

    public static final java.lang.String LINKAGE_ENGINE_NAME

See Also:
  Constant Field Values

### MATCHING_CONFIGURATION

    public static final java.lang.String MATCHING_CONFIGURATION

See Also:
  Constant Field Values

### MISSING_VALUE_STRING

    public static final java.lang.String MISSING_VALUE_STRING

See Also:
  Constant Field Values

### NEGATIVE_MATCH_CUTOFF_SCORE

    public static final java.lang.String NEGATIVE_MATCH_CUTOFF_SCORE

See Also:
  Constant Field Values

### POSITIVE_MATCH_CUTOFF_SCORE

    public static final java.lang.String POSITIVE_MATCH_CUTOFF_SCORE

See Also:
  Constant Field Values

### PRIMARY_FIELD_NAME

    public static final java.lang.String PRIMARY_FIELD_NAME

See Also:
  Constant Field Values

### SECONDARY_FIELD_NAME

    public static final java.lang.String SECONDARY_FIELD_NAME

See Also:
  Constant Field Values

### USE_SECONDARY_FOR_UNMATCHED_RECORDS

    public static final java.lang.String USE_SECONDARY_FOR_UNMATCHED_RECORDS

See Also:
  Constant Field Values

Constructor Detail

### LinkageConfigurationConstants

    public LinkageConfigurationConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD